
PH_2 - Bug #2432

Financial Module - deposits payment screen

12/10/2021 09:21 AM - Saja Nakhleh

Status: Fixed Start date: 12/10/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

a. the field (رقم استمارة الدفع) is part

of search section 46.gif

b. رقم استمارة الدفع should accepts

large values !

Issue #2:

year field is text

search and reset actions are hidden

47.gif

Issue #3:

the applicant will be navigated to an

empty page

Issue #4:

nothing will be happened and the dialog

will keep showing 

Issue #5:

the submitted record will keep showing till

the user relogging again 

Severity: Normal Environment: QA

Category: Financial Module Transaction Number:  

Sub-Category: deposits Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

a. The field (رقم استمارة الدفع) should

be separated out of search section

b. رقم استمارة الدفع should accepts

up to 20 char only !

Issue #2:

year field should be drop down list

search and reset actions should be shown

Issue #3:

the applicant should navigated to the

home page

Issue #4:

a pdf report should be generated

Issue #5:

the submitted record should disappear

from the payment screen
Description

Issue #1:

1. Open deposits payment screen

2. Click (دفع مجموعة امانات) action

3. Observe the field (رقم استمارة الدفع)

4. fill very large value on (رقم استمارة الدفع)

Issue #2:

1. Open deposits payment screen

2. Click (دفع مجموعة امانات) action

3. Observe the search fields and actions

Issue #3:

1. Open deposits payment screen

2. Click (دفع مجموعة امانات) action

3. Select 2 records

4. click submit then ok

Issue #4:

1. Open deposits payment screen

2. Click (دفع مجموعة امانات) action

3. Select 2 records

4. click submit

5. click print

Issue #5:

1. Open deposits payment screen

2. Click (دفع) action for any record

3. fill mandatory fields

4. click submit

5. Observe the record on the table

History

#1 - 12/10/2021 11:25 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#2 - 12/11/2021 03:35 PM - Saja Nakhleh

- File 56.GIF added

- File 57.GIF added

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1.a:

tested and verified.

ISsue #2:

the added search actions not working. 57.gif

Issue #3:

testd and verified.

Issue #4:

pending till the report is ready from the client side

ISsue #5:

tested and verified.

Issue #6:

the civil id label is in english.56.gif

05/31/2025 2/3

http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6


#3 - 12/12/2021 12:04 AM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#4 - 12/26/2021 12:40 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1.b:

still duplicated

Issue #2:

still duplicated. actually all the search actions are not working even on the (دفع الامانات)  screen !

Issue #6:

tested and verified.

#5 - 01/17/2022 11:55 AM - Shadi Abuomar

- Status changed from Feedback to Fixed

#6 - 01/17/2022 11:55 AM - Shadi Abuomar

- Assignee changed from Shadi Abuomar to Saja Nakhleh

Files

46.GIF 41.5 KB 12/10/2021 Saja Nakhleh

47.GIF 106 KB 12/10/2021 Saja Nakhleh

56.GIF 87.5 KB 12/11/2021 Saja Nakhleh

57.GIF 87.7 KB 12/11/2021 Saja Nakhleh
